## libcrypt-x509-crl-loncapa-perl 0.4.0

=== debian/changelog ===
libcrypt-x509-crl-loncapa-perl (0.4.0-9) unstable; urgency=low

  * Initial release.

 -- Stuart Raeburn <raeburn@loncapa.org>  Sat, 25 Oct 2025 19:45:00 -0400
