=== debian/control ===
Source: libcrypt-x509-crl-loncapa-perl
Maintainer: Stuart Raeburn <raeburn@loncapa.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13), perl (>= 5.6.0), libconvert-asn1-perl
Standards-Version: 4.7.2
Homepage: https://metacpan.org/release/Crypt-X509-CRL

Package: libcrypt-x509-crl-loncapa-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libconvert-asn1-perl
Replaces: libcrypt-x509-crl-perl
Provides: libcrypt-x509-crl-perl
Description: Object-oriented X.509 certificate revocation list parser. 
 This module parses X.509 certificate revocation lists. Methods are
 provided for accessing most CRL elements.
 .
 It is based on the generic ASN.1 module by Graham Barr, on the
 x509decode example by Norbert Klasen and contributions on the
 perl-ldap-dev-Mailinglist by Chriss Ridd. It is also based upon the
 works of Mike Jackson and Alexander Jung perl module Crypt::X509.
 .
 The following RFC 3280 Extensions are available (noted are the ones I
 have implemented).
 .
        Authority Key Identifier (implemented)
        CRL Number (implemented)
        Issuing Distribution Point (implemented)
        Issuer Alternative Name
        Delta CRL Indicator
        Freshest CRL (a.k.a. Delta CRL Distribution Point)
 .
 The following RFC 3280 CRL Entry Extensions are available
        Reason Code (implemented)
        Hold Instruction Code (implemented)
        Invalidity Date (implemented)
        Certificate Issuer
 .
 NOTE: The use of 'utcTime' in determining the revocation date of a given
 certificate is based on RFC 3280 for dates through the year 2049.  Starting
 with dates in 2050 and beyond the RFC calls for revocation dates to be
 listed as 'generalTime'.
 .
 Modified from standard Crypt-X509-CRL, for use in LON-CAPA, with the 
 addition of key=>value pairs in the %oid2enchash for hashing functions
 with longer keys: RSA:SHA256, RSA:SHA384, RSA:SHA512 and RSA:SHA224.
