=== debian/watch ===
version=4
https://metacpan.org/release/Crypt-X509-CRL .*/Crypt-X509-CRL-v?@ANY_VERSION@@ARCHIVE_EXT@$
